<script setup lang="ts">
import SideMenuItem from "@/components/admin/layouts/SideMenuItem.vue";
import dashboard from "@/config/dashboard";
import { buildMenu } from "@/utils/dashboard";
import { ElMenu } from "element-plus";
import { computed } from "vue";
import { useRoute } from "vue-router";

defineProps<{ collapse: boolean }>();

const route = useRoute();
const menu = computed(() => buildMenu(dashboard.sidebar.menu));
</script>
<template>
  <el-menu :collapse="collapse" :default-active="route.path" router>
    <slot name="prepend"></slot>
    <side-menu-item
      v-for="menuItem in menu"
      :key="menuItem.id"
      :menuItem="menuItem"
    />
    <div class="w-[--x-dashboard-sidebar-width]"></div>
  </el-menu>
</template>
